"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsAutocomplete = void 0;
const getAutocompletion_js_1 = require("./getAutocompletion.js");
const tsFacet_js_1 = require("../facet/tsFacet.js");
/**
 * Create a `CompletionSource` that queries
 * the _on-thread_ TypeScript environments for autocompletions
 * at this character.
 */
function tsAutocomplete() {
    return async (context) => {
        const config = context.state.facet(tsFacet_js_1.tsFacet);
        if (!config)
            return null;
        return (0, getAutocompletion_js_1.getAutocompletion)({
            ...config,
            context,
        });
    };
}
exports.tsAutocomplete = tsAutocomplete;
//# sourceMappingURL=tsAutocomplete.js.map