"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsAutocompleteWorker = void 0;
const index_js_1 = require("../index.js");
/**
 * Create a `CompletionSource` that queries
 * the TypeScript environment in a web worker.
 */
function tsAutocompleteWorker() {
    return async (context) => {
        const config = context.state.facet(index_js_1.tsFacetWorker);
        if (!config)
            return null;
        return config.worker.getAutocompletion({
            path: config.path,
            // Reduce this object so that it's serializable.
            context: {
                pos: context.pos,
                explicit: context.explicit,
            },
        });
    };
}
exports.tsAutocompleteWorker = tsAutocompleteWorker;
//# sourceMappingURL=tsAutocompleteWorker.js.map