import { hoverTooltip } from "@codemirror/view";
import { defaultRenderer } from "./renderTooltip.js";
import { tsFacetWorker } from "../index.js";
export function tsHoverWorker({ renderTooltip = defaultRenderer, } = {}) {
    return hoverTooltip(async (view, pos) => {
        const config = view.state.facet(tsFacetWorker);
        if (!config)
            return null;
        const hoverData = await config.worker.getHover({
            path: config.path,
            pos,
        });
        if (!hoverData)
            return null;
        return {
            pos: hoverData.start,
            end: hoverData.end,
            create: () => renderTooltip(hoverData, view),
        };
    });
}
//# sourceMappingURL=tsHoverWorker.js.map