/**
 * In TypeScript, updates are not like PUTs, you
 * need to create a file before updating it.
 *
 * This method lets us treat the two as the same.
 */
export function createOrUpdateFile(env, path, code) {
    if (!env.getSourceFile(path)) {
        env.createFile(path, code);
    }
    else {
        env.updateFile(path, code);
    }
}
//# sourceMappingURL=update.js.map